-- phpMyAdmin SQL Dump
-- version 2.8.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jul 17, 2006 at 12:53 PM
-- Server version: 5.0.21
-- PHP Version: 4.4.2
--
-- Database: `cheeseCake`
--

-- --------------------------------------------------------

--
-- Table structure for table `comments`
--

CREATE TABLE `comments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `photo_id` int(10) default NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `body` text,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ;

--
-- Dumping data for table `comments`
--


-- --------------------------------------------------------

--
-- Table structure for table `configs`
--

CREATE TABLE `configs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `siteName` varchar(255) NOT NULL,
  `siteUrl` varchar(255) NOT NULL,
  `theme` varchar(255) NOT NULL,
  `thumbSize` tinyint(4) NOT NULL default '100',
  `thumbType` enum('ht','wd','sq','pr') NOT NULL default 'sq',
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ;

--
-- Dumping data for table `configs`
--

INSERT INTO `configs` (`id`, `siteName`, `siteUrl`, `theme`, `thumbSize`, `thumbType`, `created`, `modified`) VALUES (1, 'cheeseCake', 'http://tarique.sanisoft.com/cheesecake/', 'Classic', 75, 'sq', '2006-07-05 18:01:47', '2006-07-15 12:52:01');

-- --------------------------------------------------------

--
-- Table structure for table `photos`
--

CREATE TABLE `photos` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(50) default NULL,
  `body` text,
  `filename` text NOT NULL,
  `exif` text NOT NULL,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ;


CREATE TABLE `photos_tags` (
  `photo_id` int(10) unsigned NOT NULL default '0',
  `tag_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`photo_id`,`tag_id`)
) ;

--
-- Table structure for table `tags`
--

CREATE TABLE `tags` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `tag` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ;



--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) NOT NULL auto_increment,
  `username` varchar(250) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `role` varchar(50) NOT NULL default 'User',
  `name` varchar(255) default NULL,
  `email` varchar(250) NOT NULL default '',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `role`, `name`, `email`, `created`, `modified`) VALUES (1, 'tarique', '123456', 'Admin', 'Tarique Sani', 'tarique@sanisoft.com', '2006-06-26 00:00:00', '2006-06-26 16:03:16');
